# ApplicationFramework
TKPShape
PBRep

# PBRep_Curve3D Class Reference

`#include <PBRep_Curve3D.hxx>`

Inheritance diagram for PBRep_Curve3D:

[legend]

## Public Member Functions

Standard_EXPORT | PBRep_Curve3D (const Handle(PGeom_Curve)&C, const Standard_Real CF, const Standard_Real CL, const PTopLoc_Location &L)
| CF is curve first param CL is curve last param As far as they can't be computed from a Persistent Curve they are given in the Curve3D constructor .
Standard_EXPORT Handle_PGeom_Curve | Curve3D () const
virtual Standard_EXPORT Standard_Boolean | IsCurve3D () const
| Returns True. .
| PBRep_Curve3D ()
| PBRep_Curve3D (const Storage_stCONSTclCOM &a)
| Handle (PGeom_Curve) _CSFDB_GetPBRep_Curve3DmyCurve3D() const
void | _CSFDB_SetPBRep_Curve3DmyCurve3D (const Handle(PGeom_Curve)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom_Curve | myCurve3D

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_Curve3D::PBRep_Curve3D | ( | const Handle(PGeom_Curve)& | C,
|  | const Standard_Real | CF,
|  | const Standard_Real | CL,
|  | const PTopLoc_Location & | L
| ) |

PBRep_Curve3D::PBRep_Curve3D | ( |  | ) | `[inline]`

PBRep_Curve3D::PBRep_Curve3D | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PBRep_Curve3D::_CSFDB_SetPBRep_Curve3DmyCurve3D | ( | const Handle(PGeom_Curve)& | p | ) | `[inline]`

Standard_EXPORT Handle_PGeom_Curve PBRep_Curve3D::Curve3D | ( |  | ) | const

Standard_EXPORT const PBRep_Curve3D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_GCurve.

PBRep_Curve3D::Handle | ( | PGeom_Curve |  | ) | const`[inline]`

virtual Standard_EXPORT Standard_Boolean PBRep_Curve3D::IsCurve3D | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

## Field Documentation

Handle_PGeom_Curve PBRep_Curve3D::myCurve3D `[private]`

The documentation for this class was generated from the following file:

- PBRep_Curve3D.hxx